# Name

svn-export - an svn export emulator with support for incremental exports

# SYNOPSIS

`svn-export [options] [packages]`

# Description

svn-export is able to limit an svn export to the files which have changed between two revisions, thus allowing incremental svn exports. It is intended for users who wish to maintain an up-to-date checkout without downloading and storing the additional versioning info, which may require considerable bandwidth and storage space. This will normally be the case for users who do not intend to commit changes to the svn repository.

# Usage
svn-export should work as a drop-in replacement for "svn export", which means that it accepts standard svn options. Please refer to "svn --help export" for further details.

Additional Options

-h, --help
:   Display the help message.

-r, --revision <svn checkout argument>
:   The revision argument uses the same syntax as "svn checkout". Please refer to "svn --help checkout" for further details.

--revision-file /path/to/file
:   If specified, svn-export will use this file to track the exported revision number and automatically perform incremental updates. Use this option instead of the revision option to automatically keep a directory synchronized with HEAD.

--svn
:   The svn executable to invoke.

--to-script
:   Generate a shell script instead of executing the commands internally. If the path is "-", the script will be printed to STDOUT.

--threads n
:   The number of subprocesses to use when retrieving files. This option is named "threads" because a previous version used threads.
